Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 436239

Summary: Review Request: joda-time - Java date and time API
Product: [Fedora] Fedora Reporter: Conrad Meyer <cse.cem+redhatbugz>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mtasaka, notting, rafaels, walters
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-07 21:50:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 417511    
Attachments:
Description Flags
patch to prevent from junit downloading none

Description Conrad Meyer 2008-03-06 02:03:47 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/joda-time.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/joda-time-1.5.2-1.fc8.src.rpm
Description:
Joda-Time provides a quality replacement for the Java date
and time classes. The design allows for multiple calendar
systems, while still providing a simple API. The 'default'
calendar is the ISO8601 standard which is used by XML. The
Gregorian, Julian, Buddhist, Coptic and Ethiopic systems
are also included, and we welcome further additions.
Supporting classes include time zone, duration, format
and parsing.

Comment 1 Conrad Meyer 2008-03-06 02:04:03 UTC
*** Bug 227073 has been marked as a duplicate of this bug. ***

Comment 2 Mamoru TASAKA 2008-03-14 16:44:14 UTC
It seems that junit is needed for BuildRequires?
http://koji.fedoraproject.org/koji/taskinfo?taskID=516868

Comment 3 Conrad Meyer 2008-03-15 06:17:36 UTC
Yes, but the way their build process is set up it tries to fetch junit from the 
web instead of using the system junit -- or something. I'm not completely sure 
how to fix this yet, but I'm working on it.

Comment 4 Mamoru TASAKA 2008-03-16 17:11:19 UTC
Created attachment 298198 [details]
patch to prevent from junit downloading

I am not java expert (and my knowledge about java is very little).
however applying the patch attached and adding "BR: junit" seems
to pass rebuild.

http://koji.fedoraproject.org/koji/taskinfo?taskID=518665

Comment 6 Mamoru TASAKA 2008-03-17 07:52:56 UTC
For 1.5.2-2:

* Requires
  - For -javadocs subpackages:
-----------------------------------------------------
Requires:       %{name}-%{version}-%{release}
                      ^^^^
-----------------------------------------------------
    This must be %{name} = %{version}-%{release}

* src/testdata/
  - The files under src/testdata seem binary (although
    I can see almost all parts by less command).
    If they can safely be igored, please remove all of
    them at %prep (I don't know if they can be removed,
    however even if they are removed joda-time compiles:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=519102 )

* tzdata
  - This package uses tzdata (please check files under
    src/java/org/joda/time/tz/src/) and the version is
    2007k.

    However from
    ftp://elsie.nci.nih.gov/pub/
    it seems current latest tzdata is 2008a (you can find 
    tzdata2008a.tar.gz from the URL above) and tzdata of Chile
    is revised.
    ! Note
      Current Fedora rawhide tzdata is also 2007k, however changelog
      shows Fedora tzdata maintainer patched for Chilean tzdata
      and essentially it is the same as 2008a.
    The history of joda-time shows the upstream does not always
    sync tzdata part with the URL above.

    IMO
    - This package should have tzdataXXXXx.tar.gz as Source(1,
      for example) and override files under src/java/org/joda/time/tz/src/
      by the files in tzdata tarball.
      This means that you have to update joda-time every time
      tzdata is updated (usually you can notice by Fedora tzdata update).

      Also, in this case it is better that the EVR (Epoch-Version-Release)
      of tzdata refects the version of tzdata used for joda-time
      (say, 1.5.2-2.tzdata2008a.fc9?).

    - Or are there any way thatjoda-time use contents in tzdata rpm
      directly?

* Documents
  - IMO it is better that the following files is added
    to %doc.
-----------------------------------------------------
RELEASE-NOTES.txt
ToDo.txt
-----------------------------------------------------

* javadoc
  - Mark both
-----------------------------------------------------
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
-----------------------------------------------------
    as %doc.
  ! Note
    The above two lines can be replaced by
-----------------------------------------------------
%doc %{_javadocdir}/%{name}-%{version}/
-----------------------------------------------------
    The %files entry <a_directory>/ (not %dir <a_directory>)
    contains the directory itself and all files/directories/etc
    under the directory.

Comment 7 Mamoru TASAKA 2008-03-17 08:12:08 UTC
Note:
tzdata is Public Domain and you can freely use it.

Comment 8 Conrad Meyer 2008-03-17 21:40:14 UTC
I have incorporated all of your suggestions in to my local spec except for those
concerning tzdata (because I'm not done yet).

I have tried in a number of different ways to use the system tzdata, but cannot
seem to get that to work (it might work but needs love from someone who knows
the ins and outs of java/ant). I will go ahead and use 2008a from your link, and
include "tzdata2008a" in Release.

Comment 10 Mamoru TASAKA 2008-03-18 14:24:37 UTC
Okay. tzdata replacing seems to be working good.

One thing:
- From rpmlint:
-------------------------------------------------------------------
$ rpmlint joda-time
joda-time.noarch: W: incoherent-version-in-changelog 1.5.2-3 1.5.2-3.tzdata2008a.fc9
-------------------------------------------------------------------
  Please change %changelog to
-------------------------------------------------------------------
%changelog
* Mon Mar 17 2008 Conrad Meyer <konrad@tylerc.org> - 1.5.2-3.tz2008a
-------------------------------------------------------------------
  before importing this to CVS.

-------------------------------------------------------------------
             This package (joda-time) is APPROVED by me
-------------------------------------------------------------------

Comment 11 Conrad Meyer 2008-03-18 18:19:01 UTC
OK. I'll wait on requesting CVS until we arrive at some conclusion about the 
status of java packaging.

Comment 12 Conrad Meyer 2008-03-19 20:59:38 UTC
Also: I'm not sure what the distinction is between tzdata and tzdata-java, but 
perhaps the latter could be used instead of shipping our own. I'll take a stab 
at it while we await FESCo's response.

Comment 13 Mamoru TASAKA 2008-04-04 04:30:59 UTC
Conrad, now
- Java packaging guidelines seems established
- Current tzdata is 2008b

So would you update this package again so that I can check
this package later?

Comment 14 Conrad Meyer 2008-04-04 04:37:55 UTC
(In reply to comment #13)
> Conrad, now
> - Java packaging guidelines seems established
> - Current tzdata is 2008b
> 
> So would you update this package again so that I can check
> this package later?

Yep. Thanks for your patience!

Comment 15 Conrad Meyer 2008-04-05 19:40:59 UTC
New URLs:
http://konradm.fedorapeople.org/fedora/SPECS/joda-time.spec
http://konradm.fedorapeople.org/fedora/SRPMS/joda-time-1.5.2-4.tzdata2008b.fc8.src.rpm

Sorry for the delay, I've been busy these last few days.

Comment 16 Mamoru TASAKA 2008-04-06 07:15:25 UTC
Well, I just tried to rebuild but it failed (on dist-f9)

http://koji.fedoraproject.org/koji/taskinfo?taskID=551844

Comment 17 Conrad Meyer 2008-04-06 07:25:59 UTC
Bummer. I'd guess it's a GCJ problem (since it builds just fine in 
java-1.6.0-openjdk).

New spec and SRPM sans AOT bits:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/joda-time.spec
SRPM: 
http://konradm.fedorapeople.org/fedora/SRPMS/joda-time-1.5.2-5.tzdata2008b.fc8.src.rpm

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=551879

Comment 18 Mamoru TASAKA 2008-04-06 16:57:28 UTC
Okay.

-------------------------------------------------------------------------------
           This package (joda-time) is APPROVED by me (again)
-------------------------------------------------------------------------------

Comment 19 Conrad Meyer 2008-04-06 19:20:51 UTC
New Package CVS Request
=======================
Package Name: joda-time
Short Description: Java date and time API
Owners: konradm
Branches: F-8
InitialCC: 
Cvsextras Commits: yes

Comment 20 Kevin Fenzi 2008-04-07 03:51:40 UTC
cvs done.

Comment 21 Conrad Meyer 2008-07-21 08:35:21 UTC
Package Change Request
======================
Package Name: joda-time
New Branches: EL-5

Comment 22 Kevin Fenzi 2008-07-21 16:11:31 UTC
cvs done.